<?xml version='1.0' encoding='ISO-8859-1' standalone='no'?>
<!DOCTYPE interface-description SYSTEM 'file:///usr/pkgsrc/lang/oo2c/work.macaroon/oo2c_32-2.0.11/rsrc/OOC/xml/interface-description.dtd'>
<interface-description name='Real0' id=''>
  <import-decl name='ConvTypes' id='ConvTypes' export='no' module='ConvTypes'/>
  <type-decl name='ConvResults' id='ConvResults' export='no'>
    <type>
      <type-name module='ConvTypes' name='ConvResults' href='ConvTypes#ConvResults'/>
    </type>
  </type-decl>
  <type-decl name='ScanClass' id='ScanClass' export='no'>
    <type>
      <type-name module='ConvTypes' name='ScanClass' href='ConvTypes#ScanClass'/>
    </type>
  </type-decl>
  <type-decl name='ScanState' id='ScanState' export='no'>
    <type>
      <type-name module='ConvTypes' name='ScanState' href='ConvTypes#ScanState'/>
    </type>
  </type-decl>
  <const-decl name='expChar' id='expChar' export='yes' value='unknown'/>
  <var-decl name='RS' id='RS' export='read-only'>
    <type>
      <type-name name='ScanState' href='#ScanState'/>
    </type>
  </var-decl>
  <var-decl name='P' id='P' export='read-only'>
    <type>
      <type-name name='ScanState' href='#ScanState'/>
    </type>
  </var-decl>
  <var-decl name='F' id='F' export='read-only'>
    <type>
      <type-name name='ScanState' href='#ScanState'/>
    </type>
  </var-decl>
  <var-decl name='E' id='E' export='read-only'>
    <type>
      <type-name name='ScanState' href='#ScanState'/>
    </type>
  </var-decl>
  <var-decl name='SE' id='SE' export='read-only'>
    <type>
      <type-name name='ScanState' href='#ScanState'/>
    </type>
  </var-decl>
  <var-decl name='WE' id='WE' export='read-only'>
    <type>
      <type-name name='ScanState' href='#ScanState'/>
    </type>
  </var-decl>
  <var-decl name='SR' id='SR' export='read-only'>
    <type>
      <type-name name='ScanState' href='#ScanState'/>
    </type>
  </var-decl>
  <procedure name='ScanReal' id='ScanReal' export='yes'>
    <formal-parameters>
      <parameter-decl name='inputCh' id='ScanReal.inputCh' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='CHAR'/>
        </type>
      </parameter-decl>
      <parameter-decl name='chClass' id='ScanReal.chClass' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='ScanClass'/>
        </type>
      </parameter-decl>
      <parameter-decl name='nextState' id='ScanReal.nextState' export='no' variable-parameter='yes'>
        <type>
          <type-name name='ScanState' href='#ScanState'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='FormatReal' id='FormatReal' export='yes'>
    <formal-parameters>
      <parameter-decl name='str' id='FormatReal.str' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='maxExp' id='FormatReal.maxExp' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
      <parameter-decl name='maxValue' id='FormatReal.maxValue' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='ConvResults'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='NormalizeFloat' id='NormalizeFloat' export='yes'>
    <formal-parameters>
      <parameter-decl name='s' id='NormalizeFloat.s' export='no' variable-parameter='yes'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='FormatForEng' id='FormatForEng' export='yes'>
    <formal-parameters>
      <parameter-decl name='s' id='FormatForEng.s' export='no' variable-parameter='yes'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='FormatForFixed' id='FormatForFixed' export='yes'>
    <formal-parameters>
      <parameter-decl name='s' id='FormatForFixed.s' export='no' variable-parameter='yes'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='place' id='FormatForFixed.place' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <import-decl name='-RT0' id='-RT0' export='no' module='RT0'/>
  <import-decl name='-Object' id='-Object' export='no' module='Object'/>
  <import-decl name='-Exception' id='-Exception' export='no' module='Exception'/>
  <module-ref name='ConvTypes'>
    <ref-target type='html' relative-uri='ConvTypes.html'/>
  </module-ref>
</interface-description>
